Skip to content

Retrieve dispute reasons

Request

Retrieves the list of possible reasons for submitting a dispute.

If a reason code has subOptions, those should be used as the reason code when submitting disputes.

Security
UserToken
Path
profileIdinteger, (int64)required

Your profile ID.

Example:14547572
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  https://api.wise.com/v3/spend/profiles/14547572/dispute-form/reasons \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

List of dispute reasons.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
codestring

The type of reasons available for the dispute. Top-level codes include ATM_DISPENSED_NO_FUNDS, WRONG_AMOUNT, TROUBLE_WITH_GOODS_SERVICES, MERCHANT_CHARGED_AGAIN, NO_REFUND, UNAUTHORIZED.

If a reason has subOptions, use the sub-option reason code when submitting a dispute.

Example:"UNAUTHORIZED"
descriptionstring

The description of the dispute reason.

Example:"I did not make, authorize, or participate in this transaction"
isFraudboolean

Flag indicating that the dispute reason is fraud-related.

Example:false
tooltipstring

Text to display when showing the dispute form to your users.

Example:"Choose this if you don't know the merchant or have never purchased anything from them"
supportsMultipleTransactionsboolean

Whether the dispute supports multiple transactions.

Example:false
subOptionsArray of objects

Optional list of sub-reasons that should be used as the dispute reason.

]
Response
[ { "code": "ATM_DISPENSED_NO_FUNDS", "description": "I didn't receive the money from the ATM or cash machine", "isFraud": false, "supportsMultipleTransactions": false, "tooltip": "Choose this if the ATM did not dispense the money or gave you less than expected" }, { "code": "WRONG_AMOUNT", "description": "I was charged the wrong amount or currency", "isFraud": false, "supportsMultipleTransactions": false, "tooltip": "Choose this if you were overcharged or the payment was in a different currency than you were expecting" }, { "code": "TROUBLE_WITH_GOODS_SERVICES", "description": "There's a problem with the goods or service I ordered", "isFraud": false, "supportsMultipleTransactions": false, "tooltip": "Choose this if the goods or service never arrived, or if the product was defective or different from what you expected" }, { "code": "MERCHANT_CHARGED_AGAIN", "description": "I got an unexpected charge from a merchant", "isFraud": false, "supportsMultipleTransactions": false, "tooltip": "Choose this for subscription charges, when you've paid twice for one purchase, or when you know the merchant from a past transaction but aren't sure why they charged you" }, { "code": "NO_REFUND", "description": "I haven't received the refund", "isFraud": false, "supportsMultipleTransactions": false, "tooltip": "Choose this when you've been promised a refund and it hasn't arrived" }, { "code": "UNAUTHORIZED", "description": "I did not make, authorize, or participate in this transaction", "tooltip": "Choose this if you don't know the merchant or have never purchased anything from them", "subOptions": [ {}, {}, {}, {} ] } ]